# Generated by Django 3.0.2 on 2020-02-20 14:41

from django.conf import settings
import django.contrib.postgres.fields.citext
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields
import pixelforest_drf.users.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('countries', '0002_create_Countries_UNSubRegions_UNRegions'),
        ('companies', '0001_initial'),
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='PFUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('is_active', models.BooleanField(default=True)),
                ('email', django.contrib.postgres.fields.citext.CIEmailField(max_length=254, unique=True)),
                ('first_name', django.contrib.postgres.fields.citext.CICharField(max_length=64)),
                ('last_name', django.contrib.postgres.fields.citext.CICharField(max_length=64)),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None)),
                ('is_staff', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='countries.Country')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('region', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='countries.Region')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='companies.Service')),
                ('sub_region', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='countries.SubRegion')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'abstract': False,
            },
            managers=[
                ('objects', pixelforest_drf.users.managers.UserAndDownIsActiveManager()),
            ],
        ),
    ]
